gr::radar::ts_fft_cc_impl Class Reference

`#include <ts_fft_cc_impl.h>`

Inheritance diagram for gr::radar::ts_fft_cc_impl:

## Public Member Functions

| ts_fft_cc_impl (int packet_len, const std::string &len_key)
| ~ts_fft_cc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

fftwf_plan | d_fft_plan
fftwf_complex * | d_buffer
int | d_packet_len

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::ts_fft_cc
typedef std::shared_ptr< ts_fft_cc > | sptr
Static Public Member Functions inherited from gr::radar::ts_fft_cc
static sptr | make (int packet_len, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::ts_fft_cc.

## Constructor & Destructor Documentation

## ts_fft_cc_impl()

gr::radar::ts_fft_cc_impl::ts_fft_cc_impl | ( | int | packet_len,
|  | const std::string & | len_key )

## ~ts_fft_cc_impl()

gr::radar::ts_fft_cc_impl::~ts_fft_cc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::ts_fft_cc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::radar::ts_fft_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_buffer

fftwf_complex* gr::radar::ts_fft_cc_impl::d_buffer

## d_fft_plan

fftwf_plan gr::radar::ts_fft_cc_impl::d_fft_plan

## d_packet_len

int gr::radar::ts_fft_cc_impl::d_packet_len

The documentation for this class was generated from the following file:

- ts_fft_cc_impl.h